### Enumeration

# EBackend DBusServerExitCode

since: 3.6

#### Declaration

    enum EBackend.DBusServerExitCode

#### Description [src]

Exit codes submitted to `e_dbus_server_quit()` and returned by e_dbus_server_run().

Available since: 3.6

#### Members

`E_DBUS_SERVER_EXIT_NONE`

  The server’s run state is unchanged.

  - Value: `0`
  - Available since: 3.6
`E_DBUS_SERVER_EXIT_NORMAL`

  Normal termination. The process itself may now terminate.

  - Value: `1`
  - Available since: 3.6
`E_DBUS_SERVER_EXIT_RELOAD`

  The server should reload its configuration and start again. Servers that do not support reloading may wish to intercept this exit code and stop the `EDBusServer::quit-server` emission.

  - Value: `2`
  - Available since: 3.6